/*
 * @(#)DeadLockException
 *
 * Copyright (c) 2005 masahito suzuki, Inc. All Rights Reserved
 */
package org.maachang.commons.thread;

import org.maachang.commons.exception.AccessException;
import org.maachang.commons.exception.BaseException;

/**
 * デッドロック例外.
 *  
 * @version 1.0.0 2003/10/24
 * @author  masahito suzuki
 * @since  JRcCommons 1.00
 */
public class DeadLockException extends AccessException
{
    /**
     * コンタストラクタ.
     */
    public DeadLockException()
    {
        super() ;
    }
    
    /**
     * コンタストラクタ.
     * <BR><BR>
     * オブジェクト生成と同時に発生原因のExceptionを設定します.
     * <BR>
     * @param e スローエラー対象の例外を設定します。
     */
    public DeadLockException(Throwable e)
    {
        super(e) ;
    }
    
    /**
     * コンタストラクタ.
     * <BR><BR>
     * オブジェクト生成と同時に発生原因のExceptionを設定します.
     * <BR>
     * @param e スローエラー対象の例外を設定します。
     */
    public DeadLockException(BaseException e)
    {
        super(e) ;
    }
    
    /**
     * コンタストラクタ.
     * <BR><BR>
     * オブジェクト生成と同時にメッセージを設定します.
     * <BR>
     * @param   message スローエラー生成時のメッセージを設定します。
     */
    public DeadLockException(String message)
    {
        super(message) ;
    }
}
